<?php
/**
 * @filesource: demo_meter.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders a single chart
 */
include_once "default_header.php";
$java_script = "<script src='" . $rgraph_libraries . "demo.js'  type='text/javascript' ></script>";
echo $java_script;
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>" class="<?php echo $canvas_class; ?>">
    [No canvas support]>
</canvas>
<script type="text/javascript">
jQuery(document).ready(function() {
 
  <?php echo $event_script; ?>

  RGraph.reset('<?php echo $id; ?>');
        
  var <?php echo $chart_name; ?> = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>

   <?php echo $chart_script; ?>
});
</script>
<div id="draw_effect">
<script type="text/javascript">
 function drawchart (form, report) {
    
    var Item   = form.effect.selectedIndex;
    var option   = form.effect.options[Item].value;

 postMessage(option);
}
</script>
<form id="form" name="form" action='' style='display: inline; white-space: nowrap;'>
&nbsp;<b style='font-size: 12px;white-space: nowrap' display: inline;>Select Effect: </b>
<select name='effect' style='white-space: nowrap;display: inline;'>
 <option selected='selected' value="1">grow()</option>
 <option value='1'>grow()</option>
 <option value='2'>wave({frames: 60})</option>
 <option value='3'>fadeIn({frames: 60});</option>
 <option value='4'>fadeSlideIn({frames: 90})</option>
 <option value='5'>colorWave()</option>
 <option value='6'>fadeCircularInInwards({frames: 300})</option>
 <option value='7'>fadeCircularInOutwards({frames: 300})</option>
 <option value='8'>hBlindsOpen()</option>
 <option value='9'>hScissorsOpen()</option>
 <option value='10'>vScissorsOpen()</option>
 <option value='11'>reveal()</option>
 <option value='12'>revealCircular({frames: 180})</option>
</select>
<button type="button" onclick='drawchart(this.form)'>Show Effect</button>
</form>
</div>
